---
created: 2023-11-17T16:10:01.734Z
description: EAF App Test Server
IP: 10.95.140.34
Number of CPU Cores: 4
Owner: 
Populated by Mike: Mike Phares
Server Type: Windows Server (virtual)
tags:
  - Stage
  - EC
Total HD Capacity (GB): 124
Total Physical Memory (MB): 16,383.00
type: server
updated: 2024-10-15T16:17:35.922Z
---

# mestsa07ec

## Account(s)

- [x] [ecedasvc](../account/ecedasvc.md)
- [x] [ecmeseaf](../account/ecmeseaf.md)

## DNS(s)

- [ ] [eaf-staging](../dns/eaf-staging.md)

## Process(es)

- [ ] [DataFramework Unit Service](../process/dataframework-unit-service.md)
  - [ ] Config
- [ ] [EAF Management Server](../process/eaf-management-server.md)
  - [ ] Config
  - [ ] In Mango Environment Settings for tibco and fileshare
  - [ ] In Mango Logging Configuration (fileshare)
- [ ] [EAF Runtime Agent](../process/eaf-runtime-agent.md)
  - [ ] Config
- [ ] [EAF Viewer 5010](../process/eaf-viewer-5010.md)
  - [ ] Config
- [ ] [EAF Viewer nginx](../process/eaf-viewer-nginx.md)
  - [ ] Config
- [ ] [EDA Viewer 5003](../process/eda-viewer-5003.md)
  - [ ] Config

## Sub-tasks

- [x] Ask Travis to remove MES from stl account
- [x] Clear Connection Security Rules
- [x] Open file explore to: This PC
- [x] Copy EC accounts to D Drive
- [x] Delete EC Profiles
- [x] Uncheck `Show desktop items`
- [x] Set Taskbar order
- [x] Clear Windows Logs
- [x] Install NRZ_SERVER_WIN_IWA_5.2.072.10_Package_v004.exe
- [x] Add ECUSMES%Stl to Administrators
- [x] Change `Unisys Stealth Logon` service logon to ECUSMES%Stl
- [x] Restart only `Unisys Stealth Protocol` service
- [x] Add service account to Administrators
- [x] Change logon user for services
- [x] IP, accounts send to Jeremy L
- [x] Windows Updates
- [x] Delete .dotnet, .nuget and .vscode from D Tmp EC Users
- [x] Green in Stealth
- [x] Install VSCode
- [x] tnsnames.ora
- [x] C: & D: Replace all child object permission entries with inheritable permission entries from this object
- [x] Add MESPhares as full control over D:\Tmp\phares and app specific directories
- [x] Add service account to app specific directories
- [x] Copied nuget config
- [x] tnsnames.ora - Physical server via File-Folder-Helper.exe s O C:/programs -t C:/Users/MESPhares/AppData/Local/IFXApps/sqldeveloper/tnsnames.ora - Wed Sep 06 2023
- [x] Oracle - connected to eda staging edastag
- [x] Oracle - connected to eaf staging eafstag
- [x] Extra VSCode Extensions

``` PowerShell
Expand-Archive -Force \\mesfs.infineon.com\messa09ec\vscode-1.80.1-74f6148eb9ea00507ec113ec51c489d6ffb4b771-extensions.zip C:\Users\MESPhares\.vscode
Expand-Archive -Force \\mesfs.infineon.com\messa09ec\vscode-1.81.0-insider-268f34992c5d826a08e4b72013f95af9683044ea-extensions.zip C:\Users\MESPhares\.vscode-insiders
```

- [x] VSCode - Setting repo
- [x] MusNotificationUx
- [x] FTYPE and ASSOC
- [x] RDG - MesPhares Group
- [x] C:\Program Files\Zabbix\conf\zabbix_agentd.win.conf

- [ ] Set MaxAutoRestartRetryCount back to 3 or maybe 10

```config
\\messv02ecc1.ec.local\EC_Characterization_Si\RawData
D:\ProgramData\EC_Characterization_Si\RawData
```

```bash
\\mesfs.infineon.com\EC_Characterization_Si\RawData
D:\ProgramData\EC_Characterization_Si\RawData
```

```bash
\\mesfs.infineon.com\EC_Characterization_Si\RawData
\\eaf-prod.mes.infineon.com\EC_Characterization_Si\RawData
```

- [x] Windows updates Tue Feb 20 2024 10:49:50 GMT-0700 (Mountain Standard Time)
- [x] [artifactory](https://artifactory.intra.infineon.com)
- [x] Windows updates Thu May 02 2024 08:40:32 GMT-0700 (Mountain Standard Time)
- [x] dotnet from messa022ec.infineon.com after Unisys Stealth Protocol has been stopped

```bash
#
10.95.1.180 r74 # tcp://r74:102
10.95.1.183 r72 # tcp://r72:102
10.95.1.191 r70 # tcp://r70:102
10.95.1.192 r73 # tcp://r73:102
10.95.1.195 r47 # tcp://r47:102
10.95.154.9 unity4 # http://unity4:9400/receiver
10.95.154.10 biorad4 # \\biorad4
10.95.154.11 biorad5 # \\biorad5
10.95.154.12 sp1 # \\sp1\testdata
10.95.154.13 a
10.95.154.14 cde6 # http:/cde6
10.95.154.15 b
10.95.154.16 c
10.95.154.17 hgcv2 # http://hgcv2
10.95.154.18 unity5 # http://unity5:9400/receiver
10.95.154.19 spare2 # http://spare2
10.95.154.19 wc6inch3 # http://wc6inch3
10.95.154.20 spv # tcp://srp:5004
10.95.154.21 e
10.95.154.22 f
10.95.154.23 g
10.95.154.24 h
10.95.154.25 i
10.95.154.26 j
10.95.154.27 cde4 # http://cde4
10.95.154.28 r34 # http://r34
10.95.154.29 cde5 # http://cde5
10.95.154.30 srp # http://srp:5054
10.95.154.31 r53 # http://r53:554/
10.95.154.32 r54 # http://r54:554/
10.95.154.33 k
10.95.154.34 l
10.95.154.35 m
10.95.154.36 tencor1 # http://tencor1
10.95.154.37 tencor2 # http://tencor2
10.95.154.38 tencor3 # http://tencor3
10.95.154.39 hgcv1 # http://hgcv1
10.95.154.40 hgcv3 # http://hgcv3
10.95.154.41 biorad2 # http://biorad2
10.95.154.42 biorad3 # http://biorad3
10.95.154.43 cde2 # http://cde2
10.95.154.43 wc6inch1 # http://wc6inch1
10.95.154.44 spare1 # http://spare1
10.95.154.44 wc6inch2 # http://wc6inch2
10.95.154.45 n
10.95.154.46 spare3 # http://spare3
10.95.154.46 wc6inch4 # http://wc6inch4
10.95.154.47 spare4 # http://spare4
10.95.154.47 wc8inch1 # http://wc8inch1
10.95.154.48 spare5 # http://spare5
10.95.154.48 wc8inch2 # http://wc8inch2
10.95.154.49 spare6 # http://spare6
10.95.154.49 wc8inch3 # http://wc8inch3
```

### Restart order

- [ ] MET08DDUPSP1TBI
- [ ] BIORAD2
- [ ] BIORAD3
- [ ] BIORAD4
- [ ] TENCOR1
- [ ] TENCOR2
- [ ] TENCOR3
- [ ] CDE5
- [ ] HGCV3
- [ ] CDE4
- [ ] CDE6
- [ ] HGCV1
- [ ] HGCV2
- [ ] SPV
- [ ] SRP
- [ ] SRP

- [x] Windows updates Mon May 20 2024 11:15:31 GMT-0700 (Mountain Standard Time)
- [x] Windows updates Thu May 23 2024 15:45:47 GMT-0700 (Mountain Standard Time)
- [x] Windows updates Tue Nov 19 2024 09:53:40 GMT-0700 (Mountain Standard Time)
- [x] Control Panel\All Control Panel Items\Security and Maintenance Tue Jan 21 2025 14:13:29 GMT-0700 (Mountain Standard Time)
- [x] Windows updates Tue Feb 25 2025 09:18:45 GMT-0700 (Mountain Standard Time)
- ```bash dotnet nuget locals all --clear```
- ```bash dism.exe /Online /Cleanup-image /Restorehealth```
- ```bash dism.exe /Online /Cleanup-image /StartComponentCleanup```
- ```bash dism.exe /Online /Cleanup-image /StartComponentCleanup /ResetBase```
- [x] Windows updates Tue May 20 2025 10:38:52 GMT-0700 (Mountain Standard Time)
